# Query deposit history

Query the deposit history for current customer

Endpoint: GET /custody/v2/deposit/history
Version: 1.0.1
Security: SSO_TOKEN

## Query parameters:

  - `currency` (string)
    Digital asset code.

  - `txId` (string)
    External blockchain transaction ID.

  - `status` (integer)
    An integer that indicates the status of the deposit transactions to return:
* 0 = pending
* 1 = successful

  - `limit` (integer)
    Number of records to return. If your query results in more than 1000 transactions, only the first 1000 are returned.

  - `startTime` (integer)
    Start of time period of deposits to return based on the transaction's `createdTime`.

Unix time in milliseconds.

If you specify `startTime` and do not specify `endTime`, the current time is used. The `startTime` must be before `endTime`.

  - `endTime` (integer)
    End of time period of deposits to return based on the transaction's `createdTime`.

Unix time in milliseconds.

If this parameter is specified, you must also specify a `startTime` value before `endTime`.

If you specify `startTime` and do not specify `endTime`, the current time is used.

## Response 200 fields (application/json):

  - `id` (string)
    Deposit transaction ID.
    Example: 769800519366885376

  - `amount` (string)
    Deposit amount.
    Example: 0.01

  - `currency` (string)
    Digital asset code.
    Example: BTC

  - `network` (string)
    Chain name / network.
    Example: BTC

  - `status` (integer)
    An integer that indicates the status of the deposit transactions to return:
* 0 = pending
* 1 = successful
    Example: 0

  - `address` (string)
    Deposit address.
    Example: bc1qrpp7g75sx3ejclvsfdw2uahzchtyu7vumkuadu

  - `tag` (string)
    Additional field required by some blockchains for identifying the transaction recipient beyond a wallet address.

  - `txId` (string)
    Transaction ID.
    Example: 98A3EA560C6B3336D348B6C83F0F95ECE4F1F5919E94BD006E5BF3BF264FACFC

  - `createdTime` (integer)
    The time the transaction was created. Unix time in milliseconds.
    Example: 1661493146000

  - `confirmedTime` (integer)
    The time the transaction was confirmed. Unix time in milliseconds.
    Example: 1661493146000

